# std::experimental::filesystem::recursive_directory_iterator::operator=

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | recursive directory iterator

recursive_directory_iterator& operator=( const recursive_directory_iterator& ) = default; |  | (filesystem TS)
recursive_directory_iterator& operator=( recursive_directory_iterator&& ) = default; |  | (filesystem TS)

Assigns a recursive directory iterator.

### Parameters

- | - | another directory iterator to assign

### Return value

*this

### Exceptions

(none)

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/recursive_directory_iterator/operator%3D&oldid=68661"